Page MenuHomePhabricator

Link with <nowiki/> as only label
Closed, ResolvedPublic8 Story Points

Description

I don't know if this is the same issue as T72286.

In https://fr.wikipedia.org/w/index.php?diff=113718967 , a link was inserted that had no label other than a nowiki: [[Qatar Airways|<nowiki/>]].

I don't know the exact sequence of events that led to this, but this probably shouldn't ever happen.

Event Timeline

gpaumier created this task.Apr 10 2015, 6:12 PM
gpaumier raised the priority of this task from to Needs Triage.
gpaumier updated the task description. (Show Details)
gpaumier added a subscriber: gpaumier.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2015, 6:12 PM
NicoV added a subscriber: NicoV.Apr 10 2015, 6:17 PM

On https://fr.wikipedia.org/w/index.php?diff=113718967 there are plenty of <nowiki/> tags.

nowiki is placed in links combined with a dash, e.g. |[[Aéroport international Roi-Abdelaziz|JED]] - [[Aéroport international de Los Angeles|<nowiki/>]][[Aéroport Sydney-Kingsford Smith|LAX]]

or

[[Boeing 777|<nowiki/>]][[Saudia|B777-300ER]] --> Saudia will be the link for both. Unfortunately, so far the bug is not reproducible.
Etonkovidova triaged this task as Normal priority.Apr 14 2015, 9:39 PM
Etonkovidova set Security to None.
NicoV added a comment.Apr 14 2015, 9:56 PM

I don't know if it's reproducible or not, but it's quite easy to find such problems:

https://fr.wikipedia.org/w/index.php?title=Li%C3%A8ge&curid=16504&diff=113846314&oldid=113802853 [[972|<nowiki/>]][[1795|972]]

NicoV added a comment.EditedApr 29 2015, 8:40 AM

Many others added https://fr.wikipedia.org/w/index.php?title=Liste_des_a%C3%A9roports_les_plus_fr%C3%A9quent%C3%A9s_en_Europe&curid=8072653&diff=114568862&oldid=114565546
with also links to the incorrect target like

[[Allemagne|<nowiki/>]][[Italie|Allemagne]]
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

I thought these were now impossible for Parsoid to save?

ssastry added a subscriber: ssastry.May 5 2015, 8:08 PM

I thought these were now impossible for Parsoid to save?

No, Parsoid doesn't treat links with empty content specially right now. One more for scrubWikitext.

Elitre added a subscriber: Elitre.May 6 2015, 11:18 AM
ssastry moved this task from Backlog to Needs Discussion on the Parsoid board.Jun 8 2015, 10:23 PM

Theoretically these may now be fixed as of tomorrow's release on wiki – feedback appreciated.

Jdforrester-WMF closed this task as Resolved.Jun 18 2015, 10:29 PM
Jdforrester-WMF edited a custom field.

Let's find out.

@Jdforrester-WMF thinks we may have rolled out a Parsoid normalization patch in the last few days which may have addressed this issue (yes, we know that's very unhelpful—sorry). Keeping this task open so we keep tracking the issue.

No, we haven't yet implemented this normalization. But, we are focusing on nowikis this week, so should be able to get to it for next week's deploy.

Change 229597 had a related patch set uploaded (by Arlolra):
T95730: Scrub empty anchors

https://gerrit.wikimedia.org/r/229597

@ssastry: [[Allemagne|<nowiki/>]][[Italie|Allemagne]] was likely to fixed by tag minimization when scrubWikitext was actually turned on. But the more general case is in the patch above.

Change 229597 merged by jenkins-bot:
T95730: Scrub empty anchors

https://gerrit.wikimedia.org/r/229597

Arlolra closed this task as Resolved.Aug 19 2015, 9:37 PM